## blackbox-terminal 0.13.2+pq.1

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)

=== debian/changelog ===
blackbox-terminal (0.13.2+pq.1-2) unstable; urgency=medium

  * Add description to help2man-generated man page

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Mar 2023 17:03:49 +0100

blackbox-terminal (0.13.2+pq.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1032846)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Mar 2023 09:53:21 +0000

=== debian/control ===
Source: blackbox-terminal
Section: misc
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
		meson,
		valac,
		pkgconf | pkg-config,
		libglib2.0-dev,
		libgtk-4-dev,
		libadwaita-1-dev,
		libpqmarble-dev,
		libvte-2.91-gtk4-dev,
		libjson-glib-dev,
		libpcre2-dev,
		libxml2-dev,
		librsvg2-dev,
		libgee-0.8-dev,
		libgraphene-1.0-dev,
Homepage: https://gitlab.gnome.org/raggesilver/blackbox
Vcs-Browser: https://salsa.debian.org/debian/blackbox-terminal
Vcs-Git: https://salsa.debian.org/debian/blackbox-terminal.git

Package: blackbox-terminal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: BlackBox Terminal Emulator
 GTK-4 based terminal with reasonably small footprint and the usual features.
  - Theming (Tilix-compatible color scheme support)
  - App theming based on terminal color scheme
  - Transparent background
  - Custom fonts and cell spacing
  - Tabs
  - Toggleable header bar
  - Click to open links
  - Files drag-n-drop support
  - Sixel (experimental)
  - Customizable UI
  - Customizable shortcuts
 This is unrelated to the Blackbox X Window Manager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_install:
	@echo "Rename executable from upstream blackbox to blackbox-terminal."
	cd debian/*/usr/bin && mv blackbox blackbox-terminal
	@echo "Lintian says appstream-metadata-in-legacy-location so move AppStream XML files."
	cd debian/*/usr/share && mv appdata metainfo
	@echo "Not using flatpack so no need for this helper executable."
	rm --verbose debian/*/usr/bin/terminal-toolbox

# override_dh_installman: debian/blackbox-terminal.1
# 	dh_installman

# Automatically-generated man page.
# Do this manually:
#  rm debian/blackbox-terminal.1
#  debian/rules build
#  cp obj-*/src/blackbox /tmp/blackbox-terminal
#  debian/rules BLACKBOX-TERMINAL=/tmp/blackbox-terminal debian/blackbox-terminal.1
BLACKBOX-TERMINAL=blackbox-terminal
debian/blackbox-terminal.1: debian/blackbox-terminal-man-include
	help2man --no-info \
	 --version-string="$(DEB_VERSION)" \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 --include=debian/blackbox-terminal-man-include \
	 --output=$@ $(BLACKBOX-TERMINAL)

debian/blackbox-terminal-man-include: debian/control
	echo '[DESCRIPTION]' > $@
	awk 'BEGIN {d=0; l=0} /^Description:/ {d=1} /^$$/&&(l==1) {exit} (l==1) {print} (d==1) {l=1}' $< \
	 | sed 's/^  - /.br\n\\(bu /' \
	 | sed 's/features[.]$$/features.\n.P/' \
	 | sed 's/^This is/.P\nThis is/' >> $@

## blackbox-terminal 0.14.0

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('network_tests', type: 'boolean', value: false)
option('blackbox_debug_memory', type: 'boolean', value: false)
option('blackbox_is_flatpak', type: 'boolean', value: true)

=== debian/changelog ===
blackbox-terminal (0.14.0-5build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:43 +0200

blackbox-terminal (0.14.0-5) unstable; urgency=medium

  * Provides: x-terminal-emulator
  * Patch to make -e option a synonym for --command (closes: #1088881)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Dec 2024 14:01:20 +0000

blackbox-terminal (0.14.0-4) unstable; urgency=medium

  * Patch for upstream gio-2.0 version req (close: #1066441)
  * Bump policy, no changes needed
  * Maintain debian patches as git commits rather than quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 04 Jun 2024 11:05:45 +0100

blackbox-terminal (0.14.0-3) unstable; urgency=medium

  * Track upstream changes
    - GCC 14 fix
  * Disable signed pointer checking in debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Mar 2024 15:31:24 +0000

blackbox-terminal (0.14.0-2) unstable; urgency=medium

  * Update debian/copyright for relocated source file
  * Tell meson this is not being compiled for flatpak
  * Versioned build dependencies

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 29 Jul 2023 23:53:45 +0100

blackbox-terminal (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Forward port patches
  * build dependency so appstream-util and desktop-file-validate will be found
  * Remove patch lowering gtk4 version requirement (obsolete)
  * Remove mv since upstream now puts AppStream data in the right place
  * Refresh man page

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Jul 2023 12:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,24 @@
 Section: misc
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
 		meson,
 		valac,
 		pkgconf | pkg-config,
-		libglib2.0-dev,
-		libgtk-4-dev,
-		libadwaita-1-dev,
+		appstream-util,
+		desktop-file-utils,
+		libglib2.0-dev (>= 2.80),
+		libgtk-4-dev (>= 4.10.0),
+		libadwaita-1-dev (>= 1.3),
 		libpqmarble-dev,
-		libvte-2.91-gtk4-dev,
-		libjson-glib-dev,
+		libvte-2.91-gtk4-dev (>= 0.69.0),
+		libjson-glib-dev (>= 1.4.4),
 		libpcre2-dev,
-		libxml2-dev,
-		librsvg2-dev,
-		libgee-0.8-dev,
+		libxml2-dev (>= 2.9.12),
+		librsvg2-dev (>= 2.54.0),
+		libgee-0.8-dev (>= 0.20),
 		libgraphene-1.0-dev,
 Homepage: https://gitlab.gnome.org/raggesilver/blackbox
 Vcs-Browser: https://salsa.debian.org/debian/blackbox-terminal
@@ -25,6 +27,7 @@
 
 Package: blackbox-terminal
 Architecture: any
+Provides: x-terminal-emulator
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: BlackBox Terminal Emulator
  GTK-4 based terminal with reasonably small footprint and the usual features.

=== debian/watch ===
version=4

https://gitlab.gnome.org/raggesilver/blackbox/tags \
 .*/blackbox-v?([0-9\.]+)@ARCHIVE_EXT@

# Can't use @ANY_VERSION@ because it matches "*.alpha*".
# Note that @PACKAGE@ is "blackbox-terminal" not "blackbox".
